GRUB-PROTECT(1)

NOM
grub-protect – Protéger une clé de chiffrement avec un protecteur de clé

SYNOPSIS
grub-protect [OPTION...]

DESCRIPTION
grub-protect aide à protéger une clé de chiffrement de disque avec le protecteur de clé spécifié.

Protéger une clé en texte en clair avec un protecteur de clé de GRUB qui va récupérer la clé lors de l'amorçage pour déverrouiller automatiquement les disques totalement chiffrés.

-a, --action=add|remove
    Ajouter un protecteur de clé à une clé ou le retirer.

-p, --protector=tpm2
    Définir le protecteur de clé à utiliser (actuellement tpm2 est le seul pris en charge).

--tpm2-asymmetric=TYPE Définir le type de SRK : RSA (RSA2048) et ECC
    (ECC_NIST_P256).(par défaut : ECC)

--tpm2-bank=ALGORITHME
    Définir la banque des PCR (Platform Configuration Register) utilisés pour autoriser la génération de clés : SHA1, SHA256, SHA384 ou SHA512 (SHA256 par défaut).

--tpm2-device=FICHIER
    Définir le chemin vers le périphérique TPM2 (/dev/tpm0 par défaut).

--tpm2-evict
    Supprimer la SRK persistante antérieure du TPM (Trusted platform module – module de plateforme fiable) si elle existe.

--tpm2-keyfile=FICHIER
    Définir le chemin vers le FICHIER qui contient la clé en texte en clair à protéger.

--tpm2-nvindex=NOMBRE
    Stocker la clé scellée dans un gestionnaire d'index persistant ou NV.

--tpm2-outfile=FICHIER
    Définir le chemin vers le FICHIER qui contiendra la clé après scellement (il doit être accessible à GRUB durant l'amorçage).

--tpm2-pcrs=0[,1]...
    Définit une liste séparée par des virgules des PCR utilisés pour autoriser la génération de clé, par exemple « 7,11 ». Veuillez noter que les PCR 0~7 sont utilisés par le microprogramme et le résultat de la mesure peut changer après une mise à jour du microprogramme (sur un système nu) ou la mise à jour d'un paquet (OVMF/SLOF) sur l'hôte d'une machine virtuelle. Cela peut mener à l'échec de l'ouverture de la clé (par défaut 7).

--tpm2-srk=NOMBRE
    Définir le gestionnaire de SRK si la SRK doit être rendue permanente.

--tpm2key
    Utiliser le format de fichier de clé TPM 2.0.

-?, --help
    Afficher l’aide-mémoire.

--usage
    Afficher un court message pour l’utilisation.

-V, --version
    Afficher la version du programme.

Les paramètres obligatoires ou facultatifs pour les options de forme longue le sont aussi pour les options correspondantes de forme courte.

SIGNALER DES BOGUES
Signaler toute erreur à <bug-grub@gnu.org>.

VOIR AUSSI
La documentation complète de grub-protect est disponible dans un manuel Texinfo. Si les programmes info et grub-protect sont correctement installés, la commande

    info grub-protect

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.